package com.willalp.control.netty.service;

/**
 * @author xian
 */
public interface CommandControlService {

    /**
     * 拆封收到的指令
     *
     * @param str
     * @return
     */
    String[] dismantlingCommand(String str);

    /**
     * 传入一个偶数 然后 从第 1，2 位数开始 解析为 每俩位数为一组的数组
     *
     * @param cmd
     * @return
     */
    String[] parsingInstructions(String cmd);
}
